<?php
/*  Copyright 2007  Kaspars Foigts  (email : laacz@laacz.lv)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/*
Plugin Name: Nekur.lv avotu bagātinātājs
Plugin URI: http://nekur.lv/misc/wp-plugin
Description: Nosūta uz nekur.lv komentāra autora lapas adresi
Version: 1.1
Author: Kaspars Foigts
Author URI: http://laacz.lv/
*/

/*
ChangeLog
v1.1
  [+] 2008-03-17
      Added fre more params for spamcheck via Akismet and Nekur internal spam checker, which
        include comment author's user agent, ip, name, email, ip and content. None of them are
        saved anywhere in nekur.lv database. This info is only used to detect possible spam,
        which has increased since people have started using this plugin extensively.
*/

$nekur_lv_version = '1.1';

function nekur_lv_suggest($comment_id) {
    global $wpdb, $nekur_lv_version;
    $comment = $wpdb->get_row("SELECT * FROM $wpdb->comments WHERE comment_ID = " . (int)$comment_id);
    if (is_object($comment) && $comment->comment_author_url) {
        
        // This code is taken and modified from wp-includes/comment.php
        global $wp_version;
        include_once(ABSPATH . WPINC . '/class-IXR.php');
    
        // using a timeout of 3 seconds should be enough to cover slow servers
        $client = new IXR_Client('nekur.lv', '/ping');
        $client->timeout = 3;
        $client->useragent .= ' -- WordPress/'.$wp_version . '/nekur.lv plugin v' . $nekur_lv_version;
    
        // when set to true, this outputs debug messages by itself
        $client->debug = false;
        // extendedPing params:
        //    Hostname (UA, originating blog)
        //    Comment author URL (possible another blog)
        //    Following parameters are only for spam detection. They are not saved anywhere
        //        Comment author UA
        //        Comment author name
        //        Comment author email
        //        Comment author IP
        //        Comment content 
        if ($client->query('weblogUpdates.extendedPing',
                           'plugin.Notify from ' . get_option('siteurl'),
                           $comment->comment_author_url,
                           $comment->comment_agent,
                           $comment->comment_author,
                           $comment->comment_author_email,
                           $comment->comment_author_IP,
                           $comment->comment_content,
                           getenv('REQUEST_URI'))) {
            // extendedPing succeeded
        } else if ($client->query('weblogUpdates.ping',
                                  'plugin.Notify from ' . get_option('siteurl'),
                                    $comment->comment_author_url,
                                    $comment->comment_agent,
                                    $comment->comment_author,
                                    $comment->comment_author_email,
                                    $comment->comment_author_IP,
                                    $comment->comment_content,
                                  getenv('REQUEST_URI'))) {
            // normal ping succeeded
        }
    }
}

add_action('comment_post', 'nekur_lv_suggest');
#comment_post
?>